MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030329Open CASCADE[OCCT] OCCT:Foundation Classespublic2018-11-01 16:252019-03-05 13:46
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030329: Move BRepMesh_IncAllocator to NCollection package
DescriptionBRepMesh_IncAllocator is thread safe (in difference with NCollection_IncAllocator). Nevertheless, it must be placed in NCollection package.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0026106verifiedbugmaster BRepMesh - revision of data model 

-  Notes
(0082005)
git (administrator)
2019-02-04 12:25

Branch CR30329 has been created by kgv.

SHA-1: 1407b7178c37ad99dddebda28cf9b26fad38d69f


Detailed log of new commits:

Author: kgv
Date: Mon Feb 4 12:21:14 2019 +0300

    0030329: Move BRepMesh_IncAllocator to NCollection package
    
    NCollection_IncAllocator constructor has been extended with optional mutex allocation (disabled by default).
(0082020)
git (administrator)
2019-02-04 13:49

Branch CR30329_1 has been created by kgv.

SHA-1: d8e83b26e1880aa8f419c68a9574ee12494e085b


Detailed log of new commits:

Author: kgv
Date: Mon Feb 4 12:21:14 2019 +0300

    0030329: Move BRepMesh_IncAllocator to NCollection package
    
    NCollection_IncAllocator has been extended with optional mutex allocation (disabled by default).
(0082023)
kgv (developer)
2019-02-04 15:44

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30329_1-master-KGV [^]
(0082029)
msv (developer)
2019-02-04 17:33

Reviewed.
(0082030)
bugmaster (administrator)
2019-02-04 17:50

Combination -
OCCT branch : CR30329_1 SHA - d8e83b26e1880aa8f419c68a9574ee12494e085b
Products branch : master SHA - 9aa25f353abc3855a46a51135af99c115d17b709
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16378.389999999967 / 16366.799999999954 [+0.07%]
Products
Total CPU difference: 7176.760000000028 / 7183.99000000004 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 17811.953125 / 17810.03125 [+0.01%]
Products
Total CPU difference: 8617.234375 / 8589.015625 [+0.33%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0082623)
git (administrator)
2019-03-05 13:46

Branch CR30329 has been deleted by kgv.

SHA-1: 1407b7178c37ad99dddebda28cf9b26fad38d69f
(0082624)
git (administrator)
2019-03-05 13:46

Branch CR30329_1 has been deleted by kgv.

SHA-1: d8e83b26e1880aa8f419c68a9574ee12494e085b

- Related Changesets
occt: master 95c882e9
Timestamp: 2019-02-04 09:21:14
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030329: Move BRepMesh_IncAllocator to NCollection package

NCollection_IncAllocator has been extended with optional mutex allocation (disabled by default).
mod - src/BRepMesh/BRepMesh_FaceChecker.cxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_IncAllocator.hxx Diff ] File ]
mod - src/BRepMesh/FILES Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Model.cxx Diff ] File ]
mod - src/NCollection/NCollection_IncAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_IncAllocator.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-11-01 16:25 nbv New Issue
2018-11-01 16:25 nbv Assigned To => oan
2018-11-01 16:25 nbv Relationship added child of 0026106
2018-11-01 16:36 msv Assigned To oan => kgv
2018-11-01 16:36 msv Category OCCT:Mesh => OCCT:Foundation Classes
2019-02-04 12:25 git Note Added: 0082005
2019-02-04 13:49 git Note Added: 0082020
2019-02-04 15:44 kgv Note Added: 0082023
2019-02-04 15:44 kgv Assigned To kgv => msv
2019-02-04 15:44 kgv Status new => resolved
2019-02-04 15:44 kgv Product Version => 7.4.0*
2019-02-04 17:33 msv Note Added: 0082029
2019-02-04 17:33 msv Assigned To msv => bugmaster
2019-02-04 17:33 msv Status resolved => reviewed
2019-02-04 17:46 bugmaster Test case number => Not needed
2019-02-04 17:50 bugmaster Note Added: 0082030
2019-02-04 17:50 bugmaster Status reviewed => tested
2019-02-10 19:36 bugmaster Changeset attached => occt master 95c882e9
2019-02-10 19:36 bugmaster Status tested => verified
2019-02-10 19:36 bugmaster Resolution open => fixed
2019-03-05 13:46 git Note Added: 0082623
2019-03-05 13:46 git Note Added: 0082624


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker